Unable to install Plesk PHP development package phpXX-devel: Unable to locate package

Follow

Comments

2 comments

  • Avatar
    Norbert

    I have a problem. I followed these instructions and the Sources in my Debian 9 sourcefile are the same (i run also apt-get update). When i used the command "apt-get install plesk-php70-dev", i always get "E: Unable to locate package plesk-php70-dev". What is wrong, Why i can't apt-get install plesk-php70-dev??

    Thank you in Advance.

     

     

  • Avatar
    Ivan Postnikov

    Hello @Norbert,

    I have verified that this packet may be successfully installed on default Debian 9 installation:

    # plesk -v
    ...
    OS version: Debian 9.4

     

    # apt-get install plesk-php70-dev
    ...
    autoconf-archive gnu-standards autoconf-doc
    The following NEW packages will be installed:
    autoconf automake plesk-php70-dev
    0 upgraded, 3 newly installed, 0 to remove and 85 not upgraded.
    Need to get 1757 kB of archives.
    After this operation, 9396 kB of additional disk space will be used.
    Do you want to continue? [Y/n] y
    Get:1 http://ftp.debian.org/debian stretch/main amd64 autoconf all 2.69-10 [338 kB]
    Get:2 http://autoinstall.plesk.com/debian/PHP70_17 stretch/all amd64 plesk-php70-dev amd64 7.0.31-debian9.0.18072014 [686 kB]
    Get:3 http://ftp.debian.org/debian stretch/main amd64 automake all 1:1.15-6 [733 kB]
    Fetched 1757 kB in 1s (1658 kB/s)

     

    # cat /etc/apt/sources.list
    deb http://ftp.debian.org/debian stretch main contrib non-free
    deb http://ftp.debian.org/debian stretch-updates main contrib non-free
    deb http://security.debian.org stretch/updates main contrib non-free

     

    Please note that after editing a list of repositories it is required to run:

    apt-get update

     

    In case this would not help, consider contacting Debian Technical Support: https://www.debian.org/support

Please sign in to leave a comment.

Have more questions? Submit a request